# DescribePorts

## 1. 接口描述

本接口用于查询端口列表。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

<table><thead><tr><th width="156">参数名称</th><th width="103">是否必选</th><th width="150">类型</th><th>描述</th></tr></thead><tbody><tr><td>portIds</td><td>否</td><td>Array of String</td><td><p>端口id列表。</p><p>最大支持长度为100。</p></td></tr><tr><td>dcId</td><td>否</td><td>String</td><td><p>数据中心四字码。</p><p>具体取值可通过调用接口<a href="../common/describedatacenters"><code>DescribeDataCenters</code></a>来获得最新的数据中心列表。</p></td></tr><tr><td>portName</td><td>否</td><td>String</td><td><p>端口名称。</p><p>最长不超过255个字符。支持模糊匹配、忽略大小写。</p></td></tr><tr><td>portRemarks</td><td>否</td><td>String</td><td><p>端口备注信息。</p><p>最长不超过255个字符。支持模糊匹配、忽略大小写。</p></td></tr><tr><td>cityName</td><td>否</td><td>String</td><td><p>城市名称。</p><p>最长不超过64个字符。支持模糊匹配、忽略大小写。</p></td></tr><tr><td>tagKeys</td><td>否</td><td>Array Of String</td><td><p>根据标签进行搜索。</p><p>最长不得超过20个标签。</p></td></tr><tr><td>tags</td><td>否</td><td>Array Of <a href="../../datastructure#tag">Tag</a></td><td><p>根据标签进行搜索。</p><p>最长不得超过20个标签。</p></td></tr></tbody></table>

## 3. 响应结果

<table><thead><tr><th width="217">参数名称</th><th width="187">类型</th><th>描述</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td><p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p></td></tr><tr><td>totalCount</td><td>Integer</td><td>符合条件的数据总数。</td></tr><tr><td>dataSet</td><td>Array of <a href="../../datastructure#portinfo">PortInfo</a></td><td>端口列表结果集。</td></tr></tbody></table>

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribePorts
<Common Request Params>

Request: {
  "portIds": ["your-port-id"]
}

Response: {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "response": {
        "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
        "totalCount": 1,
        "dataSet": [
        {
            "portId":"your-port-id",
            "portName":"your-port-name",
            "portRemarks":"your-port-remark",
            "portType":"1G",
            "dcId":"SIN1",
            "dcName":"AP-Singapore1",
            "cityName":"Singapore",
            "areaName":"Asia Pacific",
            "connectionStatus":"ACTIVE",
            "portStatus":"RUNNING",
            "loaStatus":"LOA_NOT_UPLOAD",
            "createdTime":"YYYY-MM-DDThh:mm:ssZ",
            "expiredTime":"YYYY-MM-DDThh:mm:ssZ",
            "portChargeType":"POSTPAID"
        }]
    }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码                             | 说明     |
| ------- | ------------------------------- | ------ |
| 7105    | SELF\_SERVICE\_PORT\_NOT\_FOUND | 端口未找到。 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/networking/sdn/port/describeports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
